export interface MenuItem {
  name: string;
  icon: string;
  url: string;
}
type OriginMenuItem = MenuItem & { privileges: string[] };

export const menuList = [
  {
    name: "授权管理",
    icon: "auth-manage",
    url: "AuthManagement",
    privileges: ["SUPER_ADMIN"],
  },
  {
    name: "学校管理",
    icon: "school-manage",
    url: "RoutOrg",
    privileges: ["SUPER_ADMIN"],
  },
  {
    name: "用户管理",
    icon: "user-manage",
    url: "UserManagement",
    privileges: ["SUPER_ADMIN", "ORG_ADMIN", "ROOT_ORG_ADMIN"],
  },
  {
    name: "科目管理",
    icon: "course-manage",
    url: "CourseManagement",
    privileges: ["ORG_ADMIN", "ROOT_ORG_ADMIN", "COURSE_ADMIN"],
  },
  {
    name: "项目列表",
    icon: "project-manage",
    url: "ProjectManagement",
    privileges: ["ORG_ADMIN", "ROOT_ORG_ADMIN", "COURSE_ADMIN"],
  },
  // {
  //   name: "关联分析",
  //   icon: "project-compare-manage",
  //   url: "ProjectCompareManagement",
  //   privileges: ["ORG_ADMIN", "ROOT_ORG_ADMIN", "COURSE_ADMIN"],
  // },
];

export const menuRelative = {
  RoutOrg: ["RoutOrg"],
  AuthManagement: ["AuthManagement"],
  UserManagement: ["UserManagement"],
  CourseManagement: ["CourseManagement"],
  ProjectManagement: [
    "ProjectManagement",
    "ProjectDataManagement",
    "ProjectParamsManagement",
    "AllAnalysis",
    "PaperAnalysis",
  ],
  // ProjectCompareManagement: ["ProjectCompareManagement"],
};
